org.firebirdsql.gds.impl.jni

## Class NativeGDSFactoryPlugin

- java.lang.Object
- - org.firebirdsql.gds.impl.BaseGDSFactoryPlugin
  - - org.firebirdsql.gds.impl.jni.NativeGDSFactoryPlugin

- All Implemented Interfaces:
    GDSFactoryPlugin

      public class NativeGDSFactoryPlugin
      extends BaseGDSFactoryPlugin

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `NATIVE_TYPE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NativeGDSFactoryPlugin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FbClientDatabaseFactory` | `getDatabaseFactory()`
    `java.lang.String` | `getDatabasePath(java.lang.String server, java.lang.Integer port, java.lang.String path)`
    `java.lang.String` | `getDefaultProtocol()`
    `java.lang.String` | `getPluginName()`
    `java.lang.String[]` | `getSupportedProtocols()`
    `java.lang.String[]` | `getTypeAliases()`
    `java.lang.String` | `getTypeName()`

    - ### Methods inherited from class org.firebirdsql.gds.impl.BaseGDSFactoryPlugin

      `equals, getConnectionClass, getDatabasePath, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.firebirdsql.gds.impl.GDSFactoryPlugin

      `getDatabasePath`

- - ### Field Detail

    - #### NATIVE_TYPE_NAME

          public static final java.lang.String NATIVE_TYPE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NativeGDSFactoryPlugin

          public NativeGDSFactoryPlugin()

  - ### Method Detail

    - #### getPluginName

          public java.lang.String getPluginName()

    - #### getTypeName

          public java.lang.String getTypeName()

    - #### getTypeAliases

          public java.lang.String[] getTypeAliases()

    - #### getSupportedProtocols

          public java.lang.String[] getSupportedProtocols()

    - #### getDefaultProtocol

          public java.lang.String getDefaultProtocol()

      Specified by:
        `getDefaultProtocol` in interface `GDSFactoryPlugin`
      Overrides:
        `getDefaultProtocol` in class `BaseGDSFactoryPlugin`

    - #### getDatabasePath

          public java.lang.String getDatabasePath(java.lang.String server,
                                                  java.lang.Integer port,
                                                  java.lang.String path)
                                           throws GDSException

      Specified by:
        `getDatabasePath` in interface `GDSFactoryPlugin`
      Overrides:
        `getDatabasePath` in class `BaseGDSFactoryPlugin`
      Throws:
        `GDSException`

    - #### getDatabaseFactory

          public FbClientDatabaseFactory getDatabaseFactory()

Copyright © 2001-2025 Jaybird (Firebird JDBC) team. All rights reserved.